Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsView.CacheModeFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QGraphicsView.CacheModeFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QGraphicsView

    public static final class QGraphicsView.CacheModeFlag

extends java.lang.Enum
implements QtEnumerator

This enum describes the flags that you can set for a `QGraphicsView`'s cache mode.

See also:
  `cacheMode`.

See Also:
  Serialized Form

Field Summary
`static QGraphicsView.CacheModeFlag` | `CacheBackground` The background is cached.
`static QGraphicsView.CacheModeFlag` | `CacheNone` All painting is done directly onto the viewport.

Method Summary
`static QGraphicsView.CacheMode` | `createQFlags(QGraphicsView.CacheModeFlag[] values)` This function creates a com.trolltech.qt.gui.QGraphicsView$CacheMode with the specified `com.trolltech.qt.gui.QGraphicsView$CacheModeFlag[]` QGraphicsView$CacheModeFlag values set.
`static QGraphicsView.CacheModeFlag` | `resolve(int value)` Returns the QGraphicsView$CacheModeFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsView.CacheModeFlag` | `valueOf(java.lang.String name)`
`static QGraphicsView.CacheModeFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CacheNone

    public static final QGraphicsView.CacheModeFlag CacheNone

  All painting is done directly onto the viewport.

### CacheBackground

    public static final QGraphicsView.CacheModeFlag CacheBackground

  The background is cached. This affects both custom backgrounds, and backgrounds based on the `backgroundBrush` property. When this flag is enabled, `QGraphicsView` will allocate one pixmap with the full size of the viewport.

Method Detail

### values

    public static QGraphicsView.CacheModeFlag[] values()

### valueOf

    public static QGraphicsView.CacheModeFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QGraphicsView.CacheMode createQFlags(QGraphicsView.CacheModeFlag[] values)

  This function creates a com.trolltech.qt.gui.QGraphicsView$CacheMode with the specified `com.trolltech.qt.gui.QGraphicsView$CacheModeFlag[]` QGraphicsView$CacheModeFlag values set.

### resolve

    public static QGraphicsView.CacheModeFlag resolve(int value)

  Returns the QGraphicsView$CacheModeFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD